 /** @page generalunittests Fuego unit tests

Fuego uses the
<a href="http://www.boost.org/doc/libs/1_45_0/libs/test/doc/html/index.html">Boost Test Library</a>
for its unit tests. The source code files for the tests of a Fuego library
are located in a subdirectory named <tt>test</tt> in the source code directory
of the library. All tests are global functions registered with the
@c BOOST_AUTO_TEST_CASE macro.

There is an application named <tt>unittestmain</tt> that compiles all unit
tests of all Fuego libraries to a single executable located in
<tt>unittestmain/fuego_unittest</tt> in the build directory. This executable
can be run standalone or in a debugger to execute the unittests. It will also
be run (among other tests) when executing <tt>make check</tt> or
<tt>make distcheck</tt> with the makefiles generated by autotools.

You can give
<a href="http://www.boost.org/doc/libs/1_45_0/libs/test/doc/html/utf/user-guide/runtime-config/reference.html">runtime
configuration parameters of the Boost Unit Test Framework</a> as options to
<tt>fuego_unittest</tt>. For example, to execute only the single unit test
@c SgArrayTest_Assign, run:
@verbatim
fuego_unittest --run_test=SgArrayTest_Assign
@endverbatim

It is mandatory to check that the unit tests succeed before committing new
code to the main Fuego repository. Furthermore, it is recommended to regularly
run the unit tests with the memory checker
<a href="http://valgrind.org">Valgrind</a> using the command:
@verbatim
valgrind fuego_unittest
@endverbatim */
